%define upstream_name    strictures
%define upstream_version 1.004004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(strictures)

%description
I've been writing the equivalent of this module at the top of my code for
about a year now. I figured it was time to make it shorter.

Things like the importer in 'use Moose' don't help me because they turn
warnings on but don't make them fatal - which from my point of view is
useless because I want an exception to tell me my code isn't warnings
clean.

Any time I see a warning from my code, that indicates a mistake.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.4-2.mga3
+ Revision: 375558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.4.4-1.mga3
+ Revision: 317769
- update to 1.004004

* Mon Sep 17 2012 jquelin <jquelin> 1.4.2-1.mga3
+ Revision: 295072
- update to 1.004002

* Fri Aug 31 2012 kharec <kharec> 1.4.1-1.mga3
+ Revision: 286606
- update to 1.004001

* Tue Jun 05 2012 jquelin <jquelin> 1.3.1-1.mga3
+ Revision: 255703
- update to 1.003001

* Fri Jun 17 2011 jquelin <jquelin> 1.2.2-2.mga2
+ Revision: 109077
- adding missing provides:

* Fri Jun 17 2011 jquelin <jquelin> 1.2.2-1.mga2
+ Revision: 108960
- imported package perl-strictures

